Attribute VB_Name = "GlobalCommands"
Option Explicit

Public Const ENGR_COMMAND = "Egrn" ' set parameter send back control

Public Const PDFT_COMMAND = "Pdft" ' flow predictor factor 1st derivative
Public Const PDFA_COMMAND = "Pdfa" ' flow predictor factor 2nd derivative
Public Const PPID_COMMAND = "Ppid" ' p part of PID control
Public Const IPID_COMMAND = "Ipid" ' i part of PID control
Public Const DPID_COMMAND = "Dpid" ' d part of PID control

Public Const PERC_COMMAND = "Perc" ' zero cutoff percent
Public Const FSCL_COMMAND = "Fscl" ' full scale command
Public Const FSMX_COMMAND = "Fsmx" ' full scale max value command

Public Const VPNT_COMMAND = "Vpnt" ' valve manual set point
Public Const XWRD_COMMAND = "Xwrd" ' pass word command
'Public Const UNIT_COMMAND = "Unit" ' units command
Public Const FLOW_COMMAND = "Flow" ' returns flow value
Public Const EPID_COMMAND = "Epid" ' error of pid
Public Const CPID_COMMAND = "Cpid" ' control of pid
Public Const WDEF_COMMAND = "Wdef" ' write default values
Public Const RDEF_COMMAND = "Rdef" ' read default values

Public Const ALIN_COMMAND = "Alin" ' a parameter for flow line
Public Const BOXC_COMMAND = "Boxc" ' b parameter for flow line
Public Const BRDG_COMMAND = "Brdg" ' get bridge voltage
Public Const OHTR_COMMAND = "Ohtr" ' overheat parameter
Public Const GRPH_COMMAND = "Grph" ' graph this data
Public Const GRPX_COMMAND = "Grpx" ' graph channel number

Public Const MAOF_COMMAND = "Maof" ' 4 to 20 ma offset/zero
Public Const MASP_COMMAND = "Masp" ' 4 to 20 ma span/fullscale
Public Const VTOF_COMMAND = "Vtof" ' 0 to 5 volt offset/zero
Public Const VTSP_COMMAND = "Vtsp" ' 0 to 5 volt span/fullscale

Public Const ZO5__COMMAND = "Zo5_"     ' zero output 0-5volt line
Public Const ZO1__COMMAND = "Zo1_"     ' zero output 1-5volt line
Public Const ZO10_COMMAND = "Zo10"     ' zero output 0-10volt line
Public Const ZO20_COMMAND = "Zo20"     ' zero output 4-20ma line
Public Const SO5__COMMAND = "So5_"     ' span output 0-5volt line
Public Const SO1__COMMAND = "So1_"     ' span output 1-5volt line
Public Const SO10_COMMAND = "So10"     ' span output 0-10volt line
Public Const SO20_COMMAND = "So20"     ' span output 4-20ma line
Public Const ZI5__COMMAND = "Zi5_"     ' zero input 0-5volt line
Public Const ZI1__COMMAND = "Zi1_"     ' zero input 1-5volt line
Public Const ZI10_COMMAND = "Zi10"     ' zero input 0-10volt line
Public Const ZI20_COMMAND = "Zi20"     ' zero input 4-20ma line
Public Const SI5__COMMAND = "Si5_"     ' span input 0-5volt line
Public Const SI1__COMMAND = "Si1_"     ' span input 1-5volt line
Public Const SI10_COMMAND = "Si10"     ' span input 0-10volt line
Public Const SI20_COMMAND = "Si20"     ' span input 4-20ma line

Public Const PWMN_COMMAND = "Pwmn" ' PWM min value
Public Const PWMX_COMMAND = "Pwmx" ' PWM max value

Public Const VERS_COMMAND = "Vers" ' version number of firmware
Public Const IDSN_COMMAND = "Idsn" ' ID or serial number

Public Const SYNC_COMMAND = "?Sync"    ' sync command
Public Const SYNT_COMMAND = "?Synt"    ' temp compensation sync command

Public Const GASK_COMMAND = "Gask" ' gas k factor
Public Const GASD_COMMAND = "Gasd" ' gas density
Public Const GASI_COMMAND = "Gasi" ' gas index number
Public Const GASN_COMMAND = "Gasn" ' gas name
Public Const GASM_COMMAND = "Gasm" ' max number of gases in use

Public Const UNTI_COMMAND = "Unti" ' unit index"
Public Const UNIN_COMMAND = "Untn" ' unit name

Public Const SINI_COMMAND = "Sini" ' setpoint index
Public Const SINN_COMMAND = "Sinn" ' setpoint name
Public Const SINV_COMMAND = "Sinv" ' setpoint value

Public Const OUTI_COMMAND = "Outi" ' output index
Public Const OUTN_COMMAND = "Outn" ' output name

Public Const VLVI_COMMAND = "Vlvi" ' valve index
Public Const VLVN_COMMAND = "Vlvn" ' valve name

Public Const TCZA_COMMAND = "Tcza"     ' temperature compensation zero flow at ambient bridge voltage
Public Const TCFA_COMMAND = "Tcfa"     ' temperature compensation full flow at ambient bridge voltage
Public Const TCTA_COMMAND = "Tcta"     ' temperature compensation bridge total voltage at ambient
Public Const TCZT_COMMAND = "Tczt"     ' temperature compensation zero flow at elevated temperature bridge voltage
Public Const TCFT_COMMAND = "Tcft"     ' temperature compensation full flow at elevated temperature bridge voltage
Public Const TCTT_COMMAND = "Tctt"     ' temperature compensation bridge total voltage at elevated temperature
Public Const TCON_COMMAND = "Tcon"     ' temperature compensation on
Public Const TCOF_COMMAND = "Tcof"     ' temperature compesnation off
Public Const TCZF_COMMAND = "Tczf"     ' flow at zero point; could be different than zero; flow span is all that is needed
Public Const TCFF_COMMAND = "Tcff"     ' full flow point; could be just high flow
Public Const TCZE_COMMAND = "Tcze"      ' flow at zero point for elevated temp
Public Const TCFE_COMMAND = "Tcfe"      ' full flow for elevated temperature point

Public Const UERR_COMMAND = "Uerr"      ' unit error command

Public Const TYPE_COMMAND = "Type"      ' set and get meter type

Public Const ZERO_COMMAND = "Zero"      ' new dynamic zero point
Public Const ZPOT_COMMAND = "Zpot"

Public Const FMAD_COMMAND = "Fmad"      ' set memory address for read or write operation
Public Const FMER_COMMAND = "Fmer"      ' flash memory erase
Public Const FMRD_COMMAND = "Fmrd"      ' flash memory read 16 byte at current location
Public Const FMWR_COMMAND = "Fmwr"      ' flash write operation
Public Const FMPK_COMMAND = "Fmpk"      ' pack certification into flash

Public Const END_COMMAND = "END"   ' last line

